<? $this->headTitle($this->t('verify_picture_upload'), 'PREPEND') ?>
<? $this->headScript()
		->appendFile('/js/mobile/default/html5-upload.js', 'text/javascript');
?>


<div class="c-body">
	<div class="body verify" id="form-content">
            <?= $this->render('private-v2/agency-escort-age-verification-ajax.phtml')?>
	</div>
</div>

<style type="text/css">
	.personal-data { padding: 10px; background-color: #fafafa; border: 1px solid #ebebeb; }
	.personal-data label { color: #555555; margin: 5px; }
	.error { font-weight: normal; color: #c00; }
	.verified_ex { float: left; margin-right: 10px; }
	.verified_title, .verified_box { margin-bottom: 10px; font-weight: normal; padding-left: 0 !important; }
	.age-label {float:left; width:100px}
	.txt { padding: 3px }
	.fields { min-width: 100%; }
	.date-sep {	float: left;padding: 0 10px}

	.photo-types { margin: 20px 0; }
	.photo-types .collapse-item { max-height: 30px; overflow: hidden; position: relative; background: #424242;
		margin: 5px 0;
		transition: none;
		-moz-transition: none;
		-webkit-transition: none;
		-o-transition: none;
	}

	.photo-types .collapse-item.collapse-error { border-left: 2px solid #d32f2f; }
	.photo-types .collapse-item.collapse-error .c-title { color: #ef5350 !important; }

	.photo-types .collapse-item.collapsed { max-height: 2000px;
		transition: height 0.8s ease;
		-moz-transition: max-height 0.8s ease;
		-webkit-transition: max-height 0.8s ease;
		-o-transition: max-height 0.8s ease;
	}

	.photo-types .collapse-item .collapse-content { padding: 10px; border-left: 1px solid #ebebeb;
		border-right: 1px solid #ebebeb; border-bottom: 1px solid #ebebeb; }
	.photo-types .collapse-item.collapsed .collapse-content {  }

	.photo-types .collapse-item .c-title { display: block; overflow: hidden; height: 30px; white-space: nowrap;
		text-overflow: ellipsis; padding: 5px 35px 5px 8px !important; color: #868686 !important; background: #ebebeb; }
	.photo-types .collapse-item.collapsed .c-title.in { white-space: normal; text-overflow: clip; height: auto;
		color: #555555 !important; }

	.photo-types .collapse-item .tmp-wrapper,
	.photo-types .collapse-item .img-name {
		position: relative;
		-webkit-transition: all 0.3s ease-in-out;
		-moz-transition: all 0.3s ease-in-out;
		-o-transition: all 0.3s ease-in-out;
		transition: all 0.3s ease-in-out;
	}

	.photo-types .collapse-item .img-name .clear-image {
		position: absolute;
		right: 0;
		top: 0;
		width: 30px;
		height: 30px;
		line-height: 30px;
		color: #ffffff;
		background-color: #c62828;
		border: none;
		font-size: 20px;
	}

	.photo-types .collapse-item .tmp-wrapper {
		background-size: 120% !important;
		-webkit-background-size: 120% !important;
		-moz-background-size: 120% !important;
		-o-background-size: 120% !important;
	}
	.photo-types .collapse-item .tmp-wrapper.show {
		background-size: 100% !important;
		/*-webkit-background-size: 100% !important;
		-moz-background-size: 100% !important;
		-o-background-size: 100% !important;*/
	}

	.photo-types .collapse-item .img-name { color: #ffffff; background: #42a5f5; display: block;
		margin: 0 0 10px 0; opacity: 0; max-height: 0; overflow: auto; height: 0; padding: 0 35px 0 10px; }
	.photo-types .collapse-item .img-name.show { max-height: 40px; opacity: 1; height: 30px; border-radius: 3px;
		line-height: 30px; white-space: nowrap; overflow: hidden; text-overflow: ellipsis; background-size: 100% !important; }

	.photo-types .collapse-item .error { color: #ffffff; background: #d32f2f; min-height: 30px; border-radius: 3px;
		line-height: 15px; padding: 5px 10px; font-size: 13px; }
	.photo-types .collapse-item .tmp-wrapper { display: block; width: 180px; height: 240px; border-radius: 4px;
		margin: 10px auto; }
	.photo-types .collapse-item .tmp-wrapper .show-tmp-image {  }
	.photo-types .collapse-item .tmp-wrapper .show-tmp-image.hidden { display: none; }
	.photo-types .collapse-item .check-image { opacity: 0; visibility: hidden; width: 0; height: 0; overflow: hidden;
		border: none; position: absolute; }
	.photo-types .collapse-item:after {
		pointer-events: none;
		content: '';
		display: block;
		position: absolute;
		right: 0;
		top: 2px;
		height: 25px;
		width: 30px;
		-webkit-transform: rotate(90deg);
		-moz-transform: rotate(90deg);
		-o-transform: rotate(90deg);
		-ms-transform: rotate(90deg);
		transform: rotate(90deg);
		-moz-transition: all 0.3s ease;
		-webkit-transition: all 0.3s ease;
		-o-transition: all 0.3s ease;
		transition: all 0.3s ease;
		background: url('/m/i/arrow.png') center center no-repeat;
	}

	.photo-types .collapse-item.collapsed:after {
		-webkit-transform: rotate(0deg);
		-moz-transform: rotate(0deg);
		-o-transform: rotate(0deg);
		-ms-transform: rotate(0deg);
		transform: rotate(0deg);
	}

	.collapse-item.video-item label.divline { display: block; width: 100%; height: 30px; background: #333;
		margin: 10px auto; color: #ccc; text-transform: uppercase; line-height: 30px; padding: 0 10px; }
	.collapse-item.video-item label.divline.posReal { color: #fff; background: #42a5f5; border-radius: 3px; }
	.collapse-item.video-item label.divline.posReal .clear-video { position: absolute; right: 0; top: 0; width: 30px;
		height: 30px; line-height: 30px; color: #fff; background-color: #c62828; border: none; font-size: 20px;
		border-radius: 0 3px 3px 0; cursor: pointer; }
	.collapse-item.video-item label.divline input { overflow: hidden; height: 0; width: 0; border: none; }
</style>

<script type="text/javascript">
	$(document).ready(function(){
		MCubix.Agency.Model.Verify.init();
	});

	$('body').on('submit', '#agency-escort-age-verification', function (e) {
        e.preventDefault();
        e.stopImmediatePropagation();
        var form = this;
        MCubix.Agency.Model.Verify.verifyEscort(form);
    }).on('progress', '#agency-escort-age-verification', function (e, percent, stats, input) {
    }).on('finishUpload', '#agency-escort-age-verification', function(e, stats){
        if (!stats.error) {
            var f= this;
            MCubix.Agency.Model.Verify.sendForm(f);
        }
    }).on('fileUploadError', function (e, fileNum, response, fileInput){
        var f = MCubix.Agency.Model.Verify.fileList[fileNum-1];
        MCubix.OverlayV2.init(false);
        MCubix.Errors.show(f.name +" : "+response.error);
        var sel = f.selector;
        $(''+sel).prop('disabled', false)
    });
    function uid() {
        var text = "";
        var possible = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";
        for (var i = 0; i < 10; i++){
            text += possible.charAt(Math.floor(Math.random() * possible.length));
        }
        return text;
    }

	MCubix.Agency.Model.Verify = {
        uploadspertime: 0,
        maxuploadspertime: 2,
        fileList: [],
		init: function(){
			this.setErrors();
			this.collapseServices();
			this.showErrors();
		},

		setErrors: function(){
//			var _errors = jQuery.parseJSON('<?//=$_errors?>//');
//
//			for( var i in _errors ){
//				$('.' + i).addClass('f-error').html( _errors[i] + ' *' );
//			}
		},

		collapseServices: function(){
			var collapsing_wrapper = $('.photo-types');
			var collapsing_pickers = collapsing_wrapper.find('.c-title');

			collapsing_pickers.on('click', function(){
				$('.collapse-item').not( $(this).closest('.collapse-item') ).removeClass('collapsed');
				collapsing_pickers.not( $(this) ).removeClass('in');

				if( !$(this).hasClass('in') ) {
					$(this).addClass('in').closest('.collapse-item').addClass('collapsed');
				} else {
					$(this).removeClass('in').closest('.collapse-item').removeClass('collapsed');
				}
			});
		},

		showTempImage: function( input ){
			var self = this;

			if ( input.files && input.files[0] ) {
				var fileReader = new FileReader();

				fileReader.onload = function ( e ) {
					var tmp_img = $(input).parent().find('.show-tmp-image');
					tmp_img.addClass('hidden').closest('.tmp-wrapper').addClass('show')
							.css('background', 'url("' + e.target.result + '") center center no-repeat');
				};

				fileReader.readAsDataURL( input.files[0] );

				self.tempImageName( $( input ) );
			}else{
                var _parent = $(input).closest('.collapse-item');
                _parent.find('.tmp-wrapper').find('.show-tmp-image').removeClass('hidden');
                _parent.find('.check-image').val('');
                _parent.find('.tmp-wrapper').removeClass('show').css('background', 'none');
                var image_name = _parent.find('p.img-name').removeClass('show'),
                    cl_image = image_name.find('.clear-image');
                image_name.html( '').append( cl_image );
            }
		},

		tempImageName:function( elm ){
			var self = this;

			if( elm instanceof jQuery ){
				var fullPath = elm.val();

				if ( fullPath ) {
					var startIndex = (fullPath.indexOf('\\') >= 0 ? fullPath.lastIndexOf('\\') : fullPath.lastIndexOf('/')),
							filename = fullPath.substring(startIndex);

					if (filename.indexOf('\\') === 0 || filename.indexOf('/') === 0) {
						filename = filename.substring(1);
					}

					var image_name = elm.closest('.collapse-item').find('p.img-name').addClass('show'),
							cl_image = image_name.find('.clear-image');

					image_name.html( filename).append( cl_image );

					self.clearImage( cl_image );

					return true;
				}
			}

			return false;
		},

		clearImage: function( _clear_btn ){

			if( !_clear_btn ){
				_clear_btn = $('.clear-image');
			}

			_clear_btn.on('click', function(){
				var _parent = $(this).closest('.collapse-item');

				_parent.find('.tmp-wrapper').find('.show-tmp-image').removeClass('hidden');
				_parent.find('.check-image').val('');
				_parent.find('.tmp-wrapper').removeClass('show').css('background', 'none');

				var image_name = $(this).closest('.collapse-item').find('p.img-name').removeClass('show'),
						cl_image = image_name.find('.clear-image');

				image_name.html( '').append( cl_image );
			});
		},

		showTempVideo: function( input ){
			var self = this;

			if ( input.files && input.files[0] ) {
				self.tempImageVideo( $( input ) );
			}
		},

		tempImageVideo:function( elm ){
			var self = this;

			if( elm instanceof jQuery ){
				var fullPath = elm.val();

				if ( fullPath ) {
					var startIndex = (fullPath.indexOf('\\') >= 0 ? fullPath.lastIndexOf('\\') : fullPath.lastIndexOf('/')),
							filename = fullPath.substring(startIndex);

					if (filename.indexOf('\\') === 0 || filename.indexOf('/') === 0) {
						filename = filename.substring(1);
					}

					elm.closest('label').addClass('posReal').append( $('<input/>',
							{ 'type': 'button', 'class': 'clear-video', value: '×' }) )
							.find('span').html( filename );

					self.clearVideo( elm );

					return true;
				}
			}

			return false;
		},

		clearVideo: function( elm ){
			var _clear_btn,
					_label = elm.closest('label');
			if( ! ( _clear_btn = _label.find('.clear-video') ) ){
				return false;
			}

			_clear_btn.on('click', function(e){
				e.preventDefault();
				elm.val('');
				_label.removeClass('posReal').find('.clear-video').remove();
				_label.find('span').html('<?=__('select_video')?>');
			});
		},

		showErrors: function(){
			<? if( isset($this->errors)): ?>
			MCubix.Errors.show('<?= $this->errors ?>');
			<? endif;?>
		},

        checkVerification: function (el, url) {
            el = $(el);
            var _self = this;
            var escort_id = el.val();
            if (!parseInt(escort_id)) return false;
            MCubix.OverlayV2.init(true);
            $.ajax({
                url: url,
                data: {'escort_id': escort_id, ajax:1},
                method: 'get',
                success: function (resp) {
                    $('#form-content').html(resp);
                    MCubix.OverlayV2.init(false);
                    _self.collapseServices();
                }
            });

        },

        verifyEscort: function (form) {
            if(!parseInt($('#verify-agency-escorts').val())){
                alert('Please select an escort');
                return false;
            }
            this.createFileList(form);
            if(this.fileList.length < 1){
                alert('Please select files for verification');
                return;
            }
            MCubix.OverlayV2.init(true);
            this.html5Upload(form)
        },

        createFileList: function(form){
            var self = this;
            self.fileList = [];
            $(form).find('input[type="file"]').each(function(i, el) {
                if (!$(el).prop('disabled')){
                    var files = el.files;
                    for (var j = 0; j < files.length; j++)
                    {
                        var F = {
                            id:  uid(),
                            selector: (($(el).attr('id')) ? "#"+$(el).attr('id') : $(el).attr('name')),
                            name:  files[j].name,
                            size:  files[j].size,
                            checked:  true,
                            uploaded:  false,
                            uploading:  false,
                            error:  false
                        };
                        self.fileList.push(F);
                        $(el).prop('disabled', true)
                    }
                }
            });
        },
        html5Upload: function(form){
            var _self = this;
            var filenum = 0;
            var prefix = '';
            $(form).find('input[type="file"]').each(function(k, el) {
                var files = el.files;
                prefix = ($(el).data('fprefix')) ? '_'+$(el).data('fprefix') : '';
                for (var i = 0, f; f = files[i]; i++)
                {
                    if (_self.uploadspertime <= _self.maxuploadspertime)
                    {
                        // Upload only checked and new files
                        if (_self.fileList[filenum] && _self.fileList[filenum].checked && !_self.fileList[filenum].uploading)
                        {
                            _self.uploading = true;
                            _self.fileList[filenum].uploading = true;
                            _self.uploadspertime++;
                            var id = (prefix) ? _self.fileList[filenum].id+prefix : _self.fileList[filenum].id;
                            _self.html5send(f,0, filenum, id, form, false);
                        }
                    }
                    filenum++;
                }
            });

        },
        html5send: function (file, start, fileNum, file_id, form, resume) {
            var end = 502000,
                chunk;
            var escort_id = $('#verify-agency-escorts').val();
            var total = start + end;
            var url  = escort_id ?'<?=$this->getLink('process-age-verification-files',array('escortID'=>''))?>'+escort_id : '<?=$this->getLink('process-age-verification-files')?>';
            if (total > file.size){
                end = total - file.size;
            }

            if (file.mozSlice)          // Mozilla based
                chunk = file.mozSlice(start, total);
            else if (file.webkitSlice)  // Chrome, Safari, Konqueror and webkit based
                chunk = file.webkitSlice(start, total);
            else                        // Opera and other standards browsers
                chunk = file.slice(start, total);
            var _self = this;
            $.ajax({
                url: url,
                headers: {
                    'Cache-Control': 'no-cache',
                    'X-Requested-With': 'XMLHttpRequest',
                    'X-File-Name': file.name,
                    'X-File-Size': file.size,
                    'X-File-Id': file_id,
                    'X-File-Resume': resume
                },
                method: 'post',
                data: chunk,
                processData: false,
                contentType: false,
                success: function (res) {
                    var response = JSON.parse(res);
                    if (response.error == 0){
                        if (total < file.size)
                        {
                            var percent = (total / file.size) * 100;
                            $(form).trigger('fileProgress', [(fileNum + 1), percent, $(''+file.selector)]);
                            _self.html5send(file, start + Number(response.size), fileNum, file_id, form, true)  // Recursive upload
                        }
                        else
                        {
                            $(form).trigger('fileProgress', [(fileNum + 1), 100, $(''+file.selector)]);
                            _self.uploadspertime--;
                            _self.fileList[fileNum].uploaded = true;
                            _self.progressStep(form, $(file.selector));
                            $(form).trigger('fileUpload', [(fileNum + 1), response,$(''+file.selector)]);
                            if (_self.uploadspertime <= _self.maxuploadspertime){
                                _self.html5Upload(form);
                            }
                        }
                    }else{
                        _self.uploadspertime--;
                        _self.fileList[fileNum].uploaded = true;
                        _self.fileList[fileNum].error = true;
                        _self.progressStep(form, $(file.selector));
                        $(form).trigger('fileUpload', [(fileNum + 1), response,$(''+file.selector)]);
                        $(form).trigger('fileUploadError', [(fileNum + 1), response, $(''+file.selector)]);
                        if (_self.uploadspertime <= _self.maxuploadspertime){
                            _self.html5Upload(form);
                        }
                    }
                }
            })
        },
        progressStep: function(form, fileInput) {
            var stats = this.countStats();
            stats.uploaded++;
            stats.checked++;
            var percent = (stats.uploaded / stats.checked) * 100;
            if (percent >= 100)
            {
                this.uploading = false;
                $(form).trigger('progress', [100, stats, fileInput]);
                $(form).trigger('finishUpload', [stats]);
            }
            else
            {
                $(form).trigger('progress', [percent, stats, fileInput]);
            }
        },
        countStats: function(){
            var stats = {
                checked: 0,
                uploaded: 0,
                uploading: 0,
                error: 0
            };

            for (var i = 0, f; f = this.fileList[i]; i++)
            {
                if (f.checked)
                {
                    stats.checked++;
                    stats.uploaded += f.uploaded ? 1 : 0;
                    stats.uploading += f.uploading ? 1: 0;
                    stats.error += f.error ? 1 : 0;
                }
            }

            return stats;
        },
        sendForm: function(form){
            var formData = new FormData(form);
            var data =  {
                name: formData.get('name'),
                last_name: formData.get('last_name'),
                day: formData.get('day'),
                month: formData.get('month'),
                year: formData.get('year'),
                escort_id: parseInt(formData.get('escort_id')) ? parseInt(formData.get('escort_id')) : ''
            };
            var _self = this;
            $.ajax({
                url: $(form).attr('action'),
                data: data,
                method:'POST',
                success: function (res) {
                    MCubix.OverlayV2.init(false);
                    var response =JSON.parse(res);
                    $("#form-content").html(response.html);
                    if(response.error){
                        MCubix.Errors.show(response.error)
                    }
                    _self.collapseServices();
                }
            })
        }
	};
</script>